diff -ruN ../nakedmudv3.7.9/src/storage.c src/storage.c
--- ../nakedmudv3.7.9/src/storage.c	2009-03-02 01:00:41.000000000 -0500
+++ src/storage.c	2009-03-05 21:25:48.000000000 -0500
@@ -351,7 +351,7 @@
 //
 bool storage_end(FILEBUF *fb) {
   char c = fbgetc(fb);
-  if(c == SET_MARKER) {
+  if(c == SET_MARKER || c == EOF) {
     // also skip the newline that comes after us
     fbgetc(fb);
     return TRUE;
diff -ruN ../nakedmudv3.7.9/src/time/time.c src/time/time.c
--- ../nakedmudv3.7.9/src/time/time.c	2009-03-02 01:00:41.000000000 -0500
+++ src/time/time.c	2009-04-05 00:28:28.000000000 -0400
@@ -191,12 +191,20 @@
     curr_hour = curr_day_of_week = curr_day_of_month = curr_month = curr_year = 0;
 
   // add our mud methods
-  PyMud_addMethod("get_hour",     PyMud_GetHour,     METH_NOARGS, NULL);
-  PyMud_addMethod("get_time",     PyMud_GetTime,     METH_NOARGS, NULL);
-  PyMud_addMethod("is_morning",   PyMud_IsMorning,   METH_NOARGS, NULL);
-  PyMud_addMethod("is_afternoon", PyMud_IsAfternoon, METH_NOARGS, NULL);
-  PyMud_addMethod("is_evening",   PyMud_IsEvening,   METH_NOARGS, NULL);
-  PyMud_addMethod("is_night",     PyMud_IsNight,     METH_NOARGS, NULL);
+  PyMud_addMethod("get_hour",     PyMud_GetHour,     METH_NOARGS, 
+		  "get_hour()\n\n"
+		  "Return the current in-game hour of day.");
+  PyMud_addMethod("get_time",     PyMud_GetTime,     METH_NOARGS, 
+		  "get_time()\n\n"
+		  "Return time of day (morning, afternoon, evening, night).");
+  PyMud_addMethod("is_morning",   PyMud_IsMorning,   METH_NOARGS, 
+		  "True or False if it is morning.");
+  PyMud_addMethod("is_afternoon", PyMud_IsAfternoon, METH_NOARGS, 
+		  "True or False if it is afternoon.");
+  PyMud_addMethod("is_evening",   PyMud_IsEvening,   METH_NOARGS, 
+		  "True or False if it is evening.");
+  PyMud_addMethod("is_night",     PyMud_IsNight,     METH_NOARGS, 
+		  "True or False if it is night.");
 
   // add the time command
   add_cmd("time", NULL, cmd_time, "player", FALSE);
diff -ruN ../nakedmudv3.7.9/lib/pymodules/account_handler.py lib/pymodules/account_handler.py
--- ../nakedmudv3.7.9/lib/pymodules/account_handler.py	2009-03-02 12:37:00.000000000 -0500
+++ lib/pymodules/account_handler.py	2009-04-05 13:24:25.000000000 -0400
@@ -332,6 +332,9 @@
 # events for blocking action when dns lookup is in progress
 ################################################################################
 def dns_check_event(owner, void, info):
+    '''After a socket connects, monitor their hostname until dns lookup is
+       complete. Then, put the socket into the account handler.
+    '''
     sock, = hooks.parse_info(info)
     if sock != None and sock.can_use:
         sock.send(" Lookup complete.")
@@ -349,6 +352,7 @@
 # account handler hooks
 ################################################################################
 def account_handler_hook(info):
+    '''When a socket connects, put them into the account handler menu.'''
     # put a nonfunctional prompt up while waiting for the DNS to resolve
     sock, = hooks.parse_info(info)
     sock.push_ih(login_method_handler, login_method_prompt)
diff -ruN ../nakedmudv3.7.9/lib/pymodules/char_gen.py lib/pymodules/char_gen.py
--- ../nakedmudv3.7.9/lib/pymodules/char_gen.py	2009-03-02 03:10:23.000000000 -0500
+++ lib/pymodules/char_gen.py	2009-04-05 13:25:22.000000000 -0400
@@ -105,6 +105,9 @@
 # character generation hooks
 ################################################################################
 def char_gen_hook(info):
+    '''Put a socket into the character generation menu when character generation
+       hooks are called.
+    '''
     sock, = hooks.parse_info(info)
     sock.push_ih(mudsys.handle_cmd_input, mudsys.show_prompt, "playing")
     sock.push_ih(cg_finish_handler, cg_finish_prompt)
diff -ruN ../nakedmudv3.7.9/lib/pymodules/cmd_admin.py lib/pymodules/cmd_admin.py
--- ../nakedmudv3.7.9/lib/pymodules/cmd_admin.py	2009-03-02 01:43:35.000000000 -0500
+++ lib/pymodules/cmd_admin.py	2009-04-05 16:15:10.000000000 -0400
@@ -1,13 +1,9 @@
-################################################################################
-#
-# cmd_admin.py
-#
-# commands available only to admins.
-#
-################################################################################
-from mud import *
-from mudsys import add_cmd
-import mudsys, inform, string, mudsock, mud, hooks
+'''
+cmd_admin.py
+
+commands available only to admins.
+'''
+import mudsys, inform, string, mudsock, mud, hooks, display
 import room as mudroom
 import char as mudchar
 import obj  as mudobj
@@ -51,7 +47,7 @@
          > repeat 20 load obj beer@drinks
        '''
     try:
-        times, arg = parse_args(ch, True, cmd, arg, "int(times) string(command)")
+        times, arg = mud.parse_args(ch, True, cmd, arg, "int(times) string(command)")
     except: return
 
     if times < 1:
@@ -118,8 +114,8 @@
        Perform a command at another room or person while never leaving your
        current room.'''
     try:
-        found, type, arg = parse_args(ch, True, cmd, arg,
-                                      "{ room ch.world.noself } string(command)")
+        found, type, arg = mud.parse_args(ch, True, cmd, arg,
+                                          "{ room ch.world.noself } string(command)")
     except: return
 
     # figure out what room we're doing the command at
@@ -150,8 +146,8 @@
     
        Attempts to make the specified perform a command of your choosing.'''
     try:
-        found, multi, arg = parse_args(ch, True, cmd, arg,
-                                       "ch.world.noself.multiple string(command)")
+        found, multi, arg = mud.parse_args(ch, True, cmd, arg,
+                                           "ch.world.noself.multiple string(command)")
     except: return
 
     if multi == False:
@@ -167,7 +163,7 @@
        are referenced by their zone key.
        '''
     try:
-        found, type = parse_args(ch, True, cmd, arg, "{ room ch.world.noself }")
+        found, type = mud.parse_args(ch, True, cmd, arg, "{ room ch.world.noself }")
     except: return
 
     # what did we find?
@@ -176,12 +172,12 @@
     else:
         dest = found
 
-    message(ch, None, None, None, True, "to_room",
-            "$n disappears in a puff of smoke.")
+    mud.message(ch, None, None, None, True, "to_room",
+                "$n disappears in a puff of smoke.")
     ch.room = dest
     ch.act("look")
-    message(ch, None, None, None, True, "to_room",
-            "$n appears in a puff of smoke.")
+    mud.message(ch, None, None, None, True, "to_room",
+                "$n appears in a puff of smoke.")
     hooks.run("enter", hooks.build_info("ch rm", (ch, ch.room)))
     
 def do_transfer(ch, tgt, dest):
@@ -190,12 +186,12 @@
         ch.send(ch.see_as(tgt) + " is already there")
     else:
         tgt.send(tgt.see_as(ch) + " has transferred you to " + dest.name)
-        message(tgt, None, None, None, True, "to_room",
-                "$n disappears in a puff of smoke.")
+        mud.message(tgt, None, None, None, True, "to_room",
+                    "$n disappears in a puff of smoke.")
         tgt.room = dest
         tgt.act("look", False)
-        message(tgt, None, None, None, True, "to_room",
-                "$n arrives in a puff of smoke.")
+        mud.message(tgt, None, None, None, True, "to_room",
+                    "$n arrives in a puff of smoke.")
 
 def cmd_transfer(ch, cmd, arg):
     '''Usage: transfer <person> [[to] room]
@@ -204,8 +200,8 @@
        takes the target to the user. If an additional argument is supplied,
        instead transfers the target to the specifie room.'''
     try:
-        found, multi, dest = parse_args(ch, True, cmd, arg,
-                                        "ch.world.multiple.noself | [to] room")
+        found, multi, dest = mud.parse_args(ch, True, cmd, arg,
+                                            "ch.world.multiple.noself | [to] room")
     except: return
 
     # if we didn't supply a room, use our own
@@ -252,7 +248,7 @@
 def cmd_instance(ch, cmd, arg):
     '''Create an instanced version of the specified room'''
     try:
-        source, dest = parse_args(ch, True, cmd, arg, "word(source) [as] word(dest)")
+        source, dest = mud.parse_args(ch, True, cmd, arg, "word(source) [as] word(dest)")
     except: return
 
     room = mudroom.instance(source, dest)
@@ -299,7 +295,7 @@
             ch.send("No zones currently instanced.")
         else:
             ch.send("{w %-40s %36s " % ("Instance", "Source"))
-            ch.send("{b-------------------------------------------------------------------------------")
+            ch.send("{b" + display.seperator)
             for pair in curr_instances:
                 ch.send("{c %-40s %36s{n" % pair)
         return
@@ -322,42 +318,59 @@
 
     tosend = [ ]
 
-    fmt = " %-11s %-11s %-11s %s"
+    fmt = " %2s   %-11s %-11s %-11s %s"
 
-    tosend.append(("{w" + fmt) % ("Character", "Account", "Status", "Host"))
-    tosend.append("{b--------------------------------------------------------------------------------{c")
+    tosend.append(("{w"+fmt) % ("Id", "Character", "Account", "Status", "Host"))
+    tosend.append("{b" + display.seperator + "{c")
     for sock in mudsock.socket_list():
         chname  = "none"
         accname = "none"
         state   = sock.state
         host    = sock.hostname
+        id      = sock.uid
 
         if sock.ch != None:
             chname  = sock.ch.name
         if sock.account != None:
             accname = sock.account.name
-        tosend.append(fmt % (chname, accname, state, host))
+        tosend.append(fmt % (id, chname, accname, state, host))
     tosend.append("{n")
     ch.page("\r\n".join(tosend))
 
+def cmd_disconnect(ch, cmd, arg):
+    """Usage: disconnect <uid>
+
+       Disconnects a socket with the given uid. Use 'connections' to see
+       current connected sockets."""
+    try:
+        uid, = mud.parse_args(ch, True, cmd, arg, "int(uid)")
+    except: return
+
+    for sock in mudsock.socket_list():
+        if sock.uid == uid:
+            ch.send("You disconnect socket %d." % uid)
+            sock.close()
+            break
+
 
 
 ################################################################################
 # add our commands
 ################################################################################
-add_cmd("shutdow",     None, cmd_shutdown_net, "admin",   False)
-add_cmd("shutdown",    None, cmd_shutdown,     "admin",   False)
-add_cmd("copyove",     None, cmd_copyover_net, "admin",   False)
-add_cmd("copyover",    None, cmd_copyover,     "admin",   False)
-add_cmd("at",          None, cmd_at,           "wizard",  False)
-add_cmd("lockdown",    None, cmd_lockdown,     "admin",   False)
-add_cmd("pulserate",   None, cmd_pulserate,    "admin",   False)
-add_cmd("repeat",      None, cmd_repeat,       "wizard",  False)
-add_cmd("force",       None, cmd_force,        "wizard",  False)
-add_cmd("goto",        None, cmd_goto,         "wizard",  False)
-add_cmd("transfer",    None, cmd_transfer,     "wizard",  False)
-add_cmd("eval",        None, cmd_eval,         "admin",   False)
-add_cmd("exec",        None, cmd_exec,         "admin",   False)
-add_cmd("connections", None, cmd_connections,  "admin",   False)
-add_cmd("instance",    None, cmd_instance,     "admin",   False)
-add_cmd("zinstance",   None, cmd_zinstance,    "admin",   False)
+mudsys.add_cmd("shutdow",     None, cmd_shutdown_net, "admin",   False)
+mudsys.add_cmd("shutdown",    None, cmd_shutdown,     "admin",   False)
+mudsys.add_cmd("copyove",     None, cmd_copyover_net, "admin",   False)
+mudsys.add_cmd("copyover",    None, cmd_copyover,     "admin",   False)
+mudsys.add_cmd("at",          None, cmd_at,           "wizard",  False)
+mudsys.add_cmd("lockdown",    None, cmd_lockdown,     "admin",   False)
+mudsys.add_cmd("pulserate",   None, cmd_pulserate,    "admin",   False)
+mudsys.add_cmd("repeat",      None, cmd_repeat,       "wizard",  False)
+mudsys.add_cmd("force",       None, cmd_force,        "wizard",  False)
+mudsys.add_cmd("goto",        None, cmd_goto,         "wizard",  False)
+mudsys.add_cmd("transfer",    None, cmd_transfer,     "wizard",  False)
+mudsys.add_cmd("eval",        None, cmd_eval,         "admin",   False)
+mudsys.add_cmd("exec",        None, cmd_exec,         "admin",   False)
+mudsys.add_cmd("connections", None, cmd_connections,  "admin",   False)
+mudsys.add_cmd("disconnect",  None, cmd_disconnect,   "admin",   False)
+mudsys.add_cmd("instance",    None, cmd_instance,     "admin",   False)
+mudsys.add_cmd("zinstance",   None, cmd_zinstance,    "admin",   False)
diff -ruN ../nakedmudv3.7.9/lib/pymodules/cmd_comm.py lib/pymodules/cmd_comm.py
--- ../nakedmudv3.7.9/lib/pymodules/cmd_comm.py	2009-03-02 01:43:35.000000000 -0500
+++ lib/pymodules/cmd_comm.py	2009-04-05 16:15:06.000000000 -0400
@@ -1,14 +1,12 @@
-################################################################################
-#
-# cmd_comm.c
-#
-# Various commands used in NakedMud(tm) for communicating with other
-# characters, and NPCs.
-#
-################################################################################
+'''
+cmd_comm.c
+
+Various commands used in NakedMud(tm) for communicating with other
+characters, and NPCs.
+'''
 from mud import *
 from mudsys import add_cmd, add_cmd_check
-import inform, hooks, mudsock, history
+import mudsys, mud, inform, hooks, mudsock, history
 
 
 
@@ -21,15 +19,15 @@
        as you.
        '''
     try:
-        tgt, question = parse_args(ch, True, cmd, arg,
-                                   "ch.room.noself [about] string(question)")
+        tgt, question =mud.parse_args(ch, True, cmd, arg,
+                                      "ch.room.noself [about] string(question)")
     except: return
 
     question = question.replace("$", "$$")
-    message(ch, tgt, None, None, False, "to_vict",
-            "{w$n asks you, '" + question + "'{n")
-    message(ch, tgt, None, None, False, "to_char",
-            "{wYou ask $N, '" + question + "'{n")
+    mud.message(ch, tgt, None, None, False, "to_vict",
+                "{w$n asks you, '" + question + "'{n")
+    mud.message(ch, tgt, None, None, False, "to_char",
+                "{wYou ask $N, '" + question + "'{n")
 
     # run our ask hooks
     hooks.run("ask", hooks.build_info("ch ch str", (ch, tgt, question)))
@@ -43,17 +41,18 @@
 
        see also: reply'''
     try:
-        tgt, mssg = parse_args(ch, True, cmd, arg, "ch.world.noself string(message)")
+        tgt, mssg = mud.parse_args(ch, True, cmd, arg,
+                                   "ch.world.noself string(message)")
     except: return
 
     mssg   = mssg.replace("$", "$$")
     tovict = "{r$n tells you, '" + mssg + "'{n"
     toch   = "{rYou tell $N, '" + mssg + "'{n"
-    message(ch, tgt, None, None, False, "to_vict", tovict)
-    message(ch, tgt, None, None, False, "to_char", toch)
+    mud.message(ch, tgt, None, None, False, "to_vict", tovict)
+    mud.message(ch, tgt, None, None, False, "to_char", toch)
     history.add_history(ch,   "tell", "{r%-10s: %s{n" % (ch.name, mssg))
     history.add_history(tgt,  "tell", "{r%-10s: %s{n" % (ch.name, mssg))
-    hooks.run("tell", hooks.build_info("ch ch", (ch, tgt)))
+    hooks.run("tell", hooks.build_info("ch ch str", (ch, tgt, mssg)))
 
 def cmd_chat(ch, cmd, arg):
     '''Usage: chat <message>
@@ -65,8 +64,8 @@
     else:
         arg  = arg.replace("$", "$$")
         mssg = "{y$n chats, '" + arg + "'{n"
-        message(ch, None, None, None, False, "to_world", mssg)
-        message(ch, None, None, None,False,"to_char", "{yyou chat, '"+arg+"'{n")
+        mud.message(ch, None, None, None, False, "to_world", mssg)
+        mud.message(ch, None, None, None,False,"to_char", "{yyou chat, '"+arg+"'{n")
         history.add_history(ch, "chat", "{y%-10s: %s{n" % (ch.name, arg))
 
 def cmd_wiz(ch, cmd, arg):
@@ -87,10 +86,10 @@
         ch.send("Say what?")
     else:
         arg = arg.replace("$", "$$")
-        message(ch, None, None, None, False, "to_room",
-                "{y$n says, '" + arg + "'{n")
-        message(ch, None, None, None, False, "to_char",
-                "{yyou say, '" + arg + "'{n")        
+        mud.message(ch, None, None, None, False, "to_room",
+                    "{y$n says, '" + arg + "'{n")
+        mud.message(ch, None, None, None, False, "to_char",
+                    "{yyou say, '" + arg + "'{n")        
 
         # run say hooks
         hooks.run("say", hooks.build_info("ch str", (ch, arg)))
@@ -101,12 +100,12 @@
        NPCs with dialogs will often have something to say when you greet or
        approach then. Greeting an NPC is a way to get them talking.'''
     try:
-        tgt, = parse_args(ch, True, cmd, arg, "ch.room.noself")
+        tgt, = mud.parse_args(ch, True, cmd, arg, "ch.room.noself")
     except: return
 
-    message(ch, tgt, None, None, False, "to_char", "You greet $N.")
-    message(ch, tgt, None, None, False, "to_vict", "$n greets you.")
-    message(ch, tgt, None, None, False, "to_room", "$n greets $N.")
+    mud.message(ch, tgt, None, None, False, "to_char", "You greet $N.")
+    mud.message(ch, tgt, None, None, False, "to_vict", "$n greets you.")
+    mud.message(ch, tgt, None, None, False, "to_room", "$n greets $N.")
 
     # run greet hooks
     hooks.run("greet",      hooks.build_info("ch ch", (ch, tgt)))
@@ -131,7 +130,7 @@
         # front of the message
         if arg.find("$n") == -1:
             arg = "$n " + arg
-        message(ch, None, None, None, False, "to_room, to_char", arg)
+        mud.message(ch, None, None, None, False, "to_room, to_char", arg)
 
 def cmd_gemote(ch, cmd, arg):
     '''Gemote is similar to emote, except that it sends a mud-wide message
@@ -142,8 +141,8 @@
         # same as emote, but global
         if arg.find("$n") == -1:
             arg = "$n " + arg
-        message(ch, None, None, None, False, "to_world, to_char",
-                "{bGLOBAL:{c " + arg + "{n")
+        mud.message(ch, None, None, None, False, "to_world, to_char",
+                    "{bGLOBAL:{c " + arg + "{n")
 
 def cmd_page(ch, cmd, arg):
     '''Usage: page <person> <message>
@@ -153,7 +152,8 @@
        anyone in the mud, regardless if you are in the same room as them or not.
        '''
     try:
-        tgt, mssg = parse_args(ch, True, cmd, arg, "ch.world.noself string(message)")
+        tgt, mssg = mud.parse_args(ch, True, cmd, arg,
+                                   "ch.world.noself string(message)")
     except: return
     ch.send("\007\007You page " + ch.see_as(tgt))
     tgt.send("\007\007*" + tgt.see_as(ch) + "* " + mssg)
@@ -163,20 +163,20 @@
 ################################################################################
 # add our commands
 ################################################################################
-add_cmd("ask",     None, cmd_ask,   "player", False)
-add_cmd("say",     None, cmd_say,   "player", False)
-add_cmd("'",       None, cmd_say,   "player", False)
-add_cmd("tell",    None, cmd_tell,  "player", False)
-add_cmd("chat",    None, cmd_chat,  "player", False)
-add_cmd("wizchat", "wiz",cmd_wiz,   "wizard", False)
-add_cmd("gossip",  None, cmd_chat,  "player", False)
-add_cmd("\"",      None, cmd_chat,  "player", False)
-add_cmd("page",    None, cmd_page,  "player", False)
-add_cmd("greet",   None, cmd_greet, "player", False)
-add_cmd("approach",None, cmd_greet, "player", False)
-add_cmd("emote",   None, cmd_emote, "player", False)
-add_cmd("gemote",  None, cmd_gemote,"player", False)
-add_cmd(":",       None, cmd_emote, "player", False)
+mudsys.add_cmd("ask",     None, cmd_ask,   "player", False)
+mudsys.add_cmd("say",     None, cmd_say,   "player", False)
+mudsys.add_cmd("'",       None, cmd_say,   "player", False)
+mudsys.add_cmd("tell",    None, cmd_tell,  "player", False)
+mudsys.add_cmd("chat",    None, cmd_chat,  "player", False)
+mudsys.add_cmd("wizchat", "wiz",cmd_wiz,   "wizard", False)
+mudsys.add_cmd("gossip",  None, cmd_chat,  "player", False)
+mudsys.add_cmd("\"",      None, cmd_chat,  "player", False)
+mudsys.add_cmd("page",    None, cmd_page,  "player", False)
+mudsys.add_cmd("greet",   None, cmd_greet, "player", False)
+mudsys.add_cmd("approach",None, cmd_greet, "player", False)
+mudsys.add_cmd("emote",   None, cmd_emote, "player", False)
+mudsys.add_cmd("gemote",  None, cmd_gemote,"player", False)
+mudsys.add_cmd(":",       None, cmd_emote, "player", False)
 
 def chk_room_communication(ch, cmd):
     if ch.pos in ("sleeping", "unconscious"):
@@ -184,7 +184,7 @@
         return False
 
 for cmd in ["ask", "say", "'", "greet", "approach", "emote", ":"]:
-    add_cmd_check(cmd, chk_room_communication)
+    mudsys.add_cmd_check(cmd, chk_room_communication)
 
 # register our history handling
 history.register_comm_history("chat", lambda ch: "chat")
diff -ruN ../nakedmudv3.7.9/lib/pymodules/cmd_inform.py lib/pymodules/cmd_inform.py
--- ../nakedmudv3.7.9/lib/pymodules/cmd_inform.py	2009-03-02 02:38:42.000000000 -0500
+++ lib/pymodules/cmd_inform.py	2009-04-05 13:33:04.000000000 -0400
@@ -1,15 +1,10 @@
-################################################################################
-#
-# cmd_inform.py
-#
-# Contains various commands that are informative in nature. For instance, look,
-# equipment, inventory, etc...
-#
-################################################################################
-from mud import *
-from inform import *
-from mudsys import add_cmd
-import utils
+'''
+cmd_inform.py
+
+Contains various commands that are informative in nature. For instance, look,
+equipment, inventory, etc...
+'''
+import mud, mudsys, inform, utils
 
 
 
@@ -28,18 +23,18 @@
 def cmd_equipment(ch, cmd, arg):
     '''Displays all of the equipment you are currently wearing.'''
     ch.send("You are wearing:")
-    show_equipment(ch, ch)
+    inform.show_equipment(ch, ch)
 
 def cmd_who(ch, cmd, arg):
     '''List all of the players currently online.'''
-    ch.page(build_who(ch))
+    ch.page(inform.build_who(ch))
     
 def cmd_look(ch, cmd, arg):
     '''allows players to examine just about anything in the game'''
     if arg == '':
         inform.look_at_room(ch, ch.room)
     else:
-        found, type = generic_find(ch, arg, "all", "immediate", False)
+        found, type = mud.generic_find(ch, arg, "all", "immediate", False)
 
         # what did we find?
         if found == None:
@@ -61,11 +56,11 @@
 ################################################################################
 # add our commands
 ################################################################################
-add_cmd("inventory", "i",   cmd_inventory, "player", False)
-add_cmd("equipment", "eq",  cmd_equipment, "player", False)
-add_cmd("worn",      None,  cmd_equipment, "player", False)
-add_cmd("who",       None,  cmd_who,       "player", False)
+mudsys.add_cmd("inventory", "i",   cmd_inventory, "player", False)
+mudsys.add_cmd("equipment", "eq",  cmd_equipment, "player", False)
+mudsys.add_cmd("worn",      None,  cmd_equipment, "player", False)
+mudsys.add_cmd("who",       None,  cmd_who,       "player", False)
 
 '''
-add_cmd("look",      "l",   cmd_look,      "player", False)
+mudsys.add_cmd("look",      "l",   cmd_look,      "player", False)
 '''
